# Command: testsuite::test_spike_dilutor

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::test_spike_dilutor - test of spike_dilutor functionality

Synopsis:

    (test_spike_dilutor) run -> count the average number of spikes repeated by the spike dilutor

Description:

      100 spikes are given to spike_dilutor and it has to repeat 20% of them (20 spikes) to 10 different spike detectors.
      If the average number of spikes detected by spike detectors equals to 20 (with marginal error 3), the dilutor works fine.

Author:

    Hesam Setareh, April 2015

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/testsuite/unittests/test_spike_dilutor.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative